/// The settings for a raw range visualisation.
#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct RangeRawVisualisation {
    #[builder(default, into)]
    #[serde(rename = "rangeColor", skip_serializing_if = "Option::is_none", default)]
    range_color: Option<super::super::super::api::HexColor>,
    #[builder(default, into)]
    #[serde(rename = "rangeLabel", skip_serializing_if = "Option::is_none", default)]
    range_label: Option<String>,
    #[builder(default, into)]
    #[serde(rename = "noRangeColor", skip_serializing_if = "Option::is_none", default)]
    no_range_color: Option<super::super::super::api::HexColor>,
    #[builder(default, into)]
    #[serde(rename = "noRangeLabel", skip_serializing_if = "Option::is_none", default)]
    no_range_label: Option<String>,
}
impl RangeRawVisualisation {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new() -> Self {
        Self::builder().build()
    }
    #[inline]
    pub fn range_color(&self) -> Option<&super::super::super::api::HexColor> {
        self.range_color.as_ref().map(|o| &*o)
    }
    /// The string to display when the condition defined by the variable's function spec is met.
    #[inline]
    pub fn range_label(&self) -> Option<&str> {
        self.range_label.as_ref().map(|o| &**o)
    }
    #[inline]
    pub fn no_range_color(&self) -> Option<&super::super::super::api::HexColor> {
        self.no_range_color.as_ref().map(|o| &*o)
    }
    /// The string to display when the condition defined by the variable's function spec is not met.
    #[inline]
    pub fn no_range_label(&self) -> Option<&str> {
        self.no_range_label.as_ref().map(|o| &**o)
    }
}
